﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class CookiesTest : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnAddCookie_Click(object sender, EventArgs e)
    {
        Response.Cookies["MyName"].Value = txtNameCookie.Text;
    }
    protected void btnGetCookie_Click(object sender, EventArgs e)
    {
        if (Request.Cookies["MyName"] != null)
        {
            lblNameCookie.Text = Request.Cookies["MyName"].Value;
        }
        else
        {
            lblNameCookie.Text = "Cookie value is not available!";
        }
    }
    protected void btnAddPersistentCookie_Click(object sender, EventArgs e)
    {
        Response.Cookies["MyColor"].Value = txtColorCookie.Text;
        Response.Cookies["MyColor"].Expires = DateTime.Now.AddDays(2);
    }
    protected void btnGetPersistentCookie_Click(object sender, EventArgs e)
    {
        if (Request.Cookies["MyColor"] != null)
        {
            lblColorCookie.Text = Request.Cookies["MyColor"].Value;
        }
        else
        {
            lblColorCookie.Text = "Cookie value is not available!";
        }
    }
}